document.addEventListener('DOMContentLoaded', () => {
    // Smooth scrolling for anchor links
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function (e) {
            e.preventDefault();
            document.querySelector(this.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });

    // Mobile menu toggle
    const createMobileMenu = () => {
        const nav = document.querySelector('nav');
        const burger = document.createElement('div');
        burger.classList.add('burger');
        burger.innerHTML = '☰';
        burger.addEventListener('click', () => {
            document.querySelector('.nav-links').classList.toggle('active');
        });
        nav.appendChild(burger);
    };

    // Shopping cart functionality
    let cart = [];
    const addToCart = (product) => {
        cart.push(product);
        updateCartUI();
    };

    const updateCartUI = () => {
        const cartCount = document.createElement('div');
        cartCount.classList.add('cart-count');
        cartCount.textContent = cart.length;
        document.querySelector('nav').appendChild(cartCount);
    };

    // Add to cart button listeners
    document.querySelectorAll('.product-card button').forEach(button => {
        button.addEventListener('click', (e) => {
            const product = e.target.closest('.product-card');
            addToCart({
                name: product.querySelector('h3').textContent,
                price: product.querySelector('span').textContent
            });
        });
    });

    // Form validation
    const contactForm = document.querySelector('.contact-form');
    if (contactForm) {
        contactForm.addEventListener('submit', (e) => {
            e.preventDefault();
            // Add form validation logic here
        });
    }

    // Initialize mobile menu for smaller screens
    if (window.innerWidth <= 768) {
        createMobileMenu();
    }
});